Bug 1167308 - UI: Unable to save a dashboard change after moving a widget to a different spot
Summary: UI: Unable to save a dashboard change after moving a widget to a different spot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.4.0
Assignee: Milan Zázrivec
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On:
Blocks: 1168564
TreeView+ depends on / blocked
 
Reported: 2014-11-24 12:49 UTC by Jan Krocil
Modified: 2015-06-16 12:45 UTC (History)
1 user (show)

Fixed In Version: 5.4.0.0.11
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1168564 (view as bug list)
Environment:
Last Closed: 2015-06-16 12:45:15 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1100 normal SHIPPED_LIVE CFME 5.4.0 bug fixes, and enhancement update 2015-06-16 16:28:42 UTC

Description Jan Krocil 2014-11-24 12:49:23 UTC
Description of problem:
When the user adds a widget to a dashboard and saves the changes, he is then unable to save the dashboard after only moving the widget to a different place on the dashboard.

Version-Release number of selected component (if applicable):
5.3.1.10 - 5.3.1.10.20141112120709_c36c424

How reproducible:
Always

Steps to Reproduce:
1. Go to Cloud Intelligence / Reports / Dashboard Widgets
2. Copy one of the existing widgets
3. Dashboard / Default Dashboard / Edit this Dashboard
4. Add your newly-created widget
5. Save changes
6. Again, Edit the Dashboard
7. Move the widget to a different spot on the dashboard
8. Save changes <= BUG; the button remains inactive

Actual results:
User is unable to save changes to the dashboard after moving widgets around.

Expected results:
User is able to save the changes to the dashboard after moving widgets around.

Additional info:
Workaround is obviously to remove the widget, save, add the widget again but to a different spot and save again.

Comment 2 Milan Zázrivec 2014-11-25 10:48:03 UTC
https://github.com/ManageIQ/manageiq/pull/1119

Comment 3 CFME Bot 2014-11-26 18:06:05 UTC
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c5a70aa0a9455acb789f824d7060ee4c35c7430f

commit c5a70aa0a9455acb789f824d7060ee4c35c7430f
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Tue Nov 25 11:45:03 2014 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Wed Nov 26 13:15:11 2014 +0100

    Add missing post route for dashboard widget move
    
    This is to fix the following error:
    
    ActionController::RoutingError (No route matches [POST]
    "/report/db_widget_dd_done")
    ...
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1167308

 vmdb/config/routes.rb                    | 1 +
 vmdb/spec/routing/report_routing_spec.rb | 4 ++++
 2 files changed, 5 insertions(+)

Comment 4 Nandini Chandra 2015-02-25 18:01:28 UTC
Verified in master.20150225123705_595ec9e

Comment 7 errata-xmlrpc 2015-06-16 12:45:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1100.html


Note You need to log in before you can comment on or make changes to this bug.